# Uses of Enum Class
io.papermc.paper.inventory.ItemRarity

Packages that use ItemRarity
Package
Description
io.papermc.paper.inventory
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of ItemRarity in io.papermc.paper.inventory

Methods in io.papermc.paper.inventory that return ItemRarity
Modifier and Type
Method
Description
`static ItemRarity`
ItemRarity.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ItemRarity[]`
ItemRarity.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ItemRarity in org.bukkit

Methods in org.bukkit that return ItemRarity
Modifier and Type
Method
Description
`ItemRarity`
Material.`getItemRarity()`
Returns the item rarity for the item.
`ItemRarity`
UnsafeValues.`getItemRarity(Material material)`
Deprecated.
Gets the item rarity of a material.
`ItemRarity`
UnsafeValues.`getItemStackRarity(ItemStack itemStack)`
Deprecated.
Gets the item rarity of the itemstack.

## Uses of ItemRarity in org.bukkit.inventory

Methods in org.bukkit.inventory that return ItemRarity
Modifier and Type
Method
Description
`ItemRarity`
ItemStack.`getRarity()`
Gets the item rarity of the itemstack.